--	The following CTE returns a list of student IDs,
--	the fine amounts, and ranks the amounts in order
;with ParkingFinesCTE(STUDENT_ID, AMOUNT, RANKING)
as 
(
	select	  STUDENT_ID
			, sum(PF.AMOUNT) as AMOUNT
			, RANK() over (order by sum(PF.AMOUNT) desc) as RANKING 
	from	PARKING_FINES as PF	
	group by STUDENT_ID
)
SELECT  *
FROM    ParkingFinesCTE